<?xml version="1.0" encoding="UTF-8"?>

<!-- ~ JBoss, Home of Professional Open Source. ~ Copyright 2011, Red Hat, 
	Inc., and individual contributors ~ as indicated by the @author tags. See 
	the copyright.txt file in the ~ distribution for a full listing of individual 
	contributors. ~ ~ This is free software; you can redistribute it and/or modify 
	it ~ under the terms of the GNU Lesser General Public License as ~ published 
	by the Free Software Foundation; either version 2.1 of ~ the License, or 
	(at your option) any later version. ~ ~ This software is distributed in the 
	hope that it will be useful, ~ but WITHOUT ANY WARRANTY; without even the 
	implied warranty of ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU ~ Lesser General Public License for more details. ~ ~ You should 
	have received a copy of the GNU Lesser General Public ~ License along with 
	this software; if not, write to the Free ~ Software Foundation, Inc., 51 
	Franklin St, Fifth Floor, Boston, MA ~ 02110-1301 USA, or see the FSF site: 
	http://www.fsf.org. -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.jboss</groupId>
        <artifactId>jboss-parent</artifactId>
        <version>39</version>
    </parent>

    <groupId>org.jboss.installer</groupId>
    <artifactId>jboss-eap-installer-parent</artifactId>
    <version>8.1.2.GA-redhat-00006</version>
    <packaging>pom</packaging>
    <name>JBoss EAP Installer - Parent</name>
    <licenses>
     <license>
      <name>The GNU Lesser General Public License, Version 3.0</name>
      <url>http://www.gnu.org/licenses/lgpl-3.0.txt</url>
      <distribution>repo</distribution>
     </license>
    </licenses>

    <modules>
      <module>core</module>
      <module>tasks</module>
      <module>tests-util</module>
      <module>dist</module>
    </modules>

    <!--Please keep below properties list alphabetical.-->
    <properties>
        <eap.release.version>8.1</eap.release.version>
        <prospero.eap.profile>eap-8.1</prospero.eap.profile>
        <prospero.eap.fpl>org.jboss.eap:wildfly-ee-galleon-pack::zip</prospero.eap.fpl>
        <myfaces.feature-pack.ga>org.jboss.eap:eap-myfaces-feature-pack</myfaces.feature-pack.ga>
        <product.repositories>jboss-eap-product-repository::https://maven.repository.redhat.com/ga/</product.repositories>
        <test.repositories>brew::https://download.devel.redhat.com/brewroot/repos/jb-eap-8.1-maven-build/latest/maven/,central::https://repo1.maven.org/maven2/,jboss-org::https://repository.jboss.org/nexus/content/groups/public/,indy::https://indy.corp.redhat.com/api/content/maven/hosted/pnc-builds/</test.repositories>


        <!-- RUNTIME DEPENDENCY VERSIONS -->
        <version.com.formdev>3.5.4</version.com.formdev>
        <version.org.aesh.readline>2.4.0.redhat-00002</version.org.aesh.readline>
        <version.org.apache.commons-text>1.12.0.redhat-00001</version.org.apache.commons-text>
        <version.org.eclipse.jgit>6.10.1.202505221210-r-redhat-00002</version.org.eclipse.jgit>
        <version.org.jboss.logging.slf4j-jboss-logmanager>2.0.1.Final-redhat-00001</version.org.jboss.logging.slf4j-jboss-logmanager>
        <version.org.jboss.logmanager>2.1.19.Final-redhat-00001</version.org.jboss.logmanager>
        <version.org.wildfly.channels>1.2.2.Final-redhat-00001</version.org.wildfly.channels>
        <version.org.wildfly.core>27.1.4.Final-redhat-00002</version.org.wildfly.core>
        <version.org.wildfly.prospero>1.3.10.Final-redhat-00002</version.org.wildfly.prospero>
        <version.org.wildfly.security>2.6.7.Final-redhat-00001</version.org.wildfly.security>

        <!-- TEST ONLY DEPENDENCY VERSIONS -->
        <version.assertj>3.27.3</version.assertj>
        <version.com.ibm.db2.jcc>12.1.0.0</version.com.ibm.db2.jcc>
        <version.com.sun.faces>4.0.0.SP01</version.com.sun.faces>
        <version.io.undertow>2.3.18.Final</version.io.undertow>
        <version.junit>4.13.2</version.junit>
        <version.org.apache.directory.server>2.0.0.AM25</version.org.apache.directory.server>
        <version.org.apache.myfaces.core.myfaces>4.0.2</version.org.apache.myfaces.core.myfaces>
        <version.org.bouncycastle>1.80</version.org.bouncycastle>
        <version.org.jboss.shrinkwrap.shrinkwrap>1.2.6</version.org.jboss.shrinkwrap.shrinkwrap>
        <version.org.mockito>5.16.0</version.org.mockito>
        <version.org.wildfly.arquillian>5.0.1.Final</version.org.wildfly.arquillian>
        <version.org.wildfly.lanucher>1.0.2.Final-redhat-00001</version.org.wildfly.lanucher>

        <!-- PLUGIN DEPENDENCY VERSIONS -->
        <version.maven-compiler-plugin>3.14.0</version.maven-compiler-plugin>
        <version.maven-dependency-plugin>3.8.1</version.maven-dependency-plugin>
        <version.maven-shade-plugin>3.6.0</version.maven-shade-plugin>
        <version.maven-surefire-plugin>3.5.2</version.maven-surefire-plugin>
        <version.org.wildfly.checkstyle-config>1.0.8.Final</version.org.wildfly.checkstyle-config>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- MODULES -->
            <dependency>
                <groupId>${project.groupId}</groupId>
                <artifactId>jboss-eap-installer-core</artifactId>
                <version>8.1.2.GA-redhat-00006</version>
            </dependency>
            <dependency>
                <groupId>${project.groupId}</groupId>
                <artifactId>jboss-eap-installer-tests-util</artifactId>
                <version>8.1.2.GA-redhat-00006</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>${project.groupId}</groupId>
                <artifactId>jboss-eap-installer-tasks</artifactId>
                <version>8.1.2.GA-redhat-00006</version>
            </dependency>

            <!-- RUNTIME DEPENDENCIES -->
            <dependency>
                <groupId>org.aesh</groupId>
                <artifactId>readline</artifactId>
                <version>${version.org.aesh.readline}</version>
            </dependency>
            <dependency>
                <groupId>com.formdev</groupId>
                <artifactId>flatlaf</artifactId>
                <version>${version.com.formdev}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-text</artifactId>
                <version>${version.org.apache.commons-text}</version>
            </dependency>
            <dependency>
                <groupId>org.eclipse.jgit</groupId>
                <artifactId>org.eclipse.jgit</artifactId>
                <version>${version.org.eclipse.jgit}</version>
            </dependency>
            <dependency>
                <groupId>org.jboss.logmanager</groupId>
                <artifactId>jboss-logmanager</artifactId>
                <version>${version.org.jboss.logmanager}</version>
            </dependency>
            <dependency>
                <groupId>org.jboss.slf4j</groupId>
                <artifactId>slf4j-jboss-logmanager</artifactId>
                <version>${version.org.jboss.logging.slf4j-jboss-logmanager}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.channel</groupId>
                <artifactId>maven-resolver</artifactId>
                <version>${version.org.wildfly.channels}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-cli</artifactId>
                <classifier>client</classifier>
                <version>${version.org.wildfly.core}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.prospero</groupId>
                <artifactId>prospero-common</artifactId>
                <version>${version.org.wildfly.prospero}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-asn1</artifactId>
                <version>${version.org.wildfly.security}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-ssl</artifactId>
                <version>${version.org.wildfly.security}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-x500-cert</artifactId>
                <version>${version.org.wildfly.security}</version>
            </dependency>


            <!-- TEST DEPENDENCIES -->
            <dependency>
                <groupId>io.undertow</groupId>
                <artifactId>undertow-core</artifactId>
                <version>${version.io.undertow}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${version.junit}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.apache.directory.server</groupId>
                <artifactId>apacheds-test-framework</artifactId>
                <version>${version.org.apache.directory.server}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.assertj</groupId>
                <artifactId>assertj-core</artifactId>
                <version>${version.assertj}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcmail-jdk18on</artifactId>
                <version>${version.org.bouncycastle}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcpg-jdk18on</artifactId>
                <version>${version.org.bouncycastle}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcpkix-jdk18on</artifactId>
                <version>${version.org.bouncycastle}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcprov-jdk18on</artifactId>
                <version>${version.org.bouncycastle}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.jboss.shrinkwrap</groupId>
                <artifactId>shrinkwrap-api</artifactId>
                <version>${version.org.jboss.shrinkwrap.shrinkwrap}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.jboss.shrinkwrap</groupId>
                <artifactId>shrinkwrap-impl-base</artifactId>
                <version>${version.org.jboss.shrinkwrap.shrinkwrap}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.mockito</groupId>
                <artifactId>mockito-core</artifactId>
                <version>${version.org.mockito}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.wildfly.arquillian</groupId>
                <artifactId>wildfly-arquillian-container-managed</artifactId>
                <version>${version.org.wildfly.arquillian}</version>
                <scope>test</scope>
                <exclusions>
                    <exclusion>
                        <groupId>org.jboss.sasl</groupId>
                        <artifactId>jboss-sasl</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.wildfly.launcher</groupId>
                <artifactId>wildfly-launcher</artifactId>
                <version>${version.org.wildfly.lanucher}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-annotations</artifactId>
                <version>2.18.4.redhat-00002</version> <!-- Original version: 2.18.2.redhat-00004 -->
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-core</artifactId>
                <version>2.18.4.redhat-00002</version> <!-- Original version: 2.18.2.redhat-00004 -->
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-databind</artifactId>
                <version>2.18.4.redhat-00002</version> <!-- Original version: 2.18.2.redhat-00004 -->
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.dataformat</groupId>
                <artifactId>jackson-dataformat-yaml</artifactId>
                <version>2.18.4.redhat-00002</version> <!-- Original version: 2.18.2 -->
            </dependency>
            <dependency>
                <groupId>com.networknt</groupId>
                <artifactId>json-schema-validator</artifactId>
                <version>1.5.4.redhat-00001</version> <!-- Original version: 1.5.4 -->
            </dependency>
            <dependency>
                <groupId>commons-codec</groupId>
                <artifactId>commons-codec</artifactId>
                <version>1.17.2.redhat-00001</version> <!-- Original version: 1.17.1 -->
            </dependency>
            <dependency>
                <groupId>commons-collections</groupId>
                <artifactId>commons-collections</artifactId>
                <version>3.2.2.redhat-2</version> <!-- Original version: 3.2.2 -->
            </dependency>
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>2.16.1.redhat-00002</version> <!-- Original version: 2.16.1.redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.aesh</groupId>
                <artifactId>aesh</artifactId>
                <version>2.4.0.redhat-00001</version> <!-- Original version: 2.4 -->
            </dependency>
            <dependency>
                <groupId>org.aesh</groupId>
                <artifactId>aesh-extensions</artifactId>
                <version>1.8.0.redhat-00001</version> <!-- Original version: 1.8 -->
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>3.18.0.redhat-00003</version> <!-- Original version: 3.14.0.redhat-00006 -->
            </dependency>
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpclient</artifactId>
                <version>4.5.14.redhat-00016</version> <!-- Original version: 4.5.14 -->
            </dependency>
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpcore</artifactId>
                <version>4.4.16.redhat-00011</version> <!-- Original version: 4.4.16 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-artifact</artifactId>
                <version>3.9.9.redhat-00001</version> <!-- Original version: 3.9.9 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-builder-support</artifactId>
                <version>3.9.9.redhat-00001</version> <!-- Original version: 3.9.9 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-model</artifactId>
                <version>3.9.9.redhat-00001</version> <!-- Original version: 3.9.9 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-model-builder</artifactId>
                <version>3.9.9.redhat-00001</version> <!-- Original version: 3.9.9 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-repository-metadata</artifactId>
                <version>3.9.9.redhat-00001</version> <!-- Original version: 3.9.9 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-resolver-provider</artifactId>
                <version>3.9.9.redhat-00001</version> <!-- Original version: 3.9.9 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-api</artifactId>
                <version>1.9.22.redhat-00001</version> <!-- Original version: 1.9.22 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-connector-basic</artifactId>
                <version>1.9.22.redhat-00001</version> <!-- Original version: 1.9.22 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-impl</artifactId>
                <version>1.9.22.redhat-00001</version> <!-- Original version: 1.9.22 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-named-locks</artifactId>
                <version>1.9.22.redhat-00001</version> <!-- Original version: 1.9.22 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-spi</artifactId>
                <version>1.9.22.redhat-00001</version> <!-- Original version: 1.9.22 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-transport-file</artifactId>
                <version>1.9.22.redhat-00001</version> <!-- Original version: 1.9.22 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-transport-http</artifactId>
                <version>1.9.22.redhat-00001</version> <!-- Original version: 1.9.22 -->
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-util</artifactId>
                <version>1.9.22.redhat-00001</version> <!-- Original version: 1.9.22 -->
            </dependency>
            <dependency>
                <groupId>org.apache.sshd</groupId>
                <artifactId>sshd-common</artifactId>
                <version>2.14.0.redhat-00003</version> <!-- Original version: 2.14.0 -->
            </dependency>
            <dependency>
                <groupId>org.codehaus.plexus</groupId>
                <artifactId>plexus-interpolation</artifactId>
                <version>1.27.0.redhat-00001</version> <!-- Original version: 1.27 -->
            </dependency>
            <dependency>
                <groupId>org.codehaus.plexus</groupId>
                <artifactId>plexus-utils</artifactId>
                <version>3.5.1.redhat-00002</version> <!-- Original version: 3.5.1 -->
            </dependency>
            <dependency>
                <groupId>org.fusesource.jansi</groupId>
                <artifactId>jansi</artifactId>
                <version>2.4.1.redhat-00001</version> <!-- Original version: 1.18 -->
            </dependency>
            <dependency>
                <groupId>org.glassfish</groupId>
                <artifactId>jakarta.json</artifactId>
                <version>1.1.6.redhat-00003</version> <!-- Original version: 1.1.6 -->
            </dependency>
            <dependency>
                <groupId>org.jboss</groupId>
                <artifactId>jboss-dmr</artifactId>
                <version>1.7.0.Final-redhat-00001</version> <!-- Original version: 1.7.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.jboss</groupId>
                <artifactId>jboss-vfs</artifactId>
                <version>3.3.2.Final-redhat-00001</version> <!-- Original version: 3.3.2.Final -->
            </dependency>
            <dependency>
                <groupId>org.jboss.marshalling</groupId>
                <artifactId>jboss-marshalling</artifactId>
                <version>2.2.3.Final-redhat-00001</version> <!-- Original version: 2.2.1.Final -->
            </dependency>
            <dependency>
                <groupId>org.jboss.marshalling</groupId>
                <artifactId>jboss-marshalling-river</artifactId>
                <version>2.2.3.Final-redhat-00001</version> <!-- Original version: 2.2.1.Final -->
            </dependency>
            <dependency>
                <groupId>org.jboss.modules</groupId>
                <artifactId>jboss-modules</artifactId>
                <version>2.1.6.Final-redhat-00001</version> <!-- Original version: 2.1.6.Final -->
            </dependency>
            <dependency>
                <groupId>org.jboss.remoting</groupId>
                <artifactId>jboss-remoting</artifactId>
                <version>5.0.31.Final-redhat-00001</version> <!-- Original version: 5.0.30.Final -->
            </dependency>
            <dependency>
                <groupId>org.jboss.remotingjmx</groupId>
                <artifactId>remoting-jmx</artifactId>
                <version>3.1.0.Final-redhat-00002</version> <!-- Original version: 3.1.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.jboss.stdio</groupId>
                <artifactId>jboss-stdio</artifactId>
                <version>1.1.0.Final-redhat-00001</version> <!-- Original version: 1.1.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.jboss.threads</groupId>
                <artifactId>jboss-threads</artifactId>
                <version>2.5.0.redhat-00001</version> <!-- Original version: 2.4.0.Final-redhat-00001 --> <!-- Original version: 2.4.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.jboss.xnio</groupId>
                <artifactId>xnio-api</artifactId>
                <version>3.8.16.Final-redhat-00001</version> <!-- Original version: 3.8.16.Final -->
            </dependency>
            <dependency>
                <groupId>org.jboss.xnio</groupId>
                <artifactId>xnio-nio</artifactId>
                <version>3.8.16.Final-redhat-00001</version> <!-- Original version: 3.8.16.Final -->
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>jcl-over-slf4j</artifactId>
                <version>2.0.17.redhat-00001</version> <!-- Original version: 1.7.36 -->
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-api</artifactId>
                <version>2.0.17.redhat-00001</version> <!-- Original version: 2.0.16 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.channel</groupId>
                <artifactId>channel-core</artifactId>
                <version>1.2.2.Final-redhat-00001</version> <!-- Original version: 1.2.2.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.client</groupId>
                <artifactId>wildfly-client-config</artifactId>
                <version>1.0.1.Final-redhat-00001</version> <!-- Original version: 1.0.1.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-controller-client</artifactId>
                <version>27.1.4.Final-redhat-00002</version> <!-- Original version: 27.1.4.Final-redhat-00001 --> <!-- Original version: 27.1.3.Final-redhat-00001 --> <!-- Original version: 27.1.2.Final-redhat-00002 --> <!-- Original version: 27.1.0.Final-redhat-00005 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-embedded</artifactId>
                <version>27.1.4.Final-redhat-00002</version> <!-- Original version: 27.1.4.Final-redhat-00001 --> <!-- Original version: 27.1.3.Final-redhat-00001 --> <!-- Original version: 27.1.2.Final-redhat-00002 --> <!-- Original version: 27.1.0.Final-redhat-00005 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-protocol</artifactId>
                <version>27.1.4.Final-redhat-00002</version> <!-- Original version: 27.1.4.Final-redhat-00001 --> <!-- Original version: 27.1.3.Final-redhat-00001 --> <!-- Original version: 27.1.2.Final-redhat-00002 --> <!-- Original version: 27.1.0.Final-redhat-00005 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-version</artifactId>
                <version>27.1.4.Final-redhat-00002</version> <!-- Original version: 27.1.4.Final-redhat-00001 --> <!-- Original version: 27.1.3.Final-redhat-00001 --> <!-- Original version: 27.1.2.Final-redhat-00002 --> <!-- Original version: 27.1.0.Final-redhat-00005 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.prospero</groupId>
                <artifactId>prospero-metadata</artifactId>
                <version>1.3.1.Final-redhat-00001</version> <!-- Original version: 1.3.1.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-auth</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-auth-server</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-auth-util</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-base</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-client</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-credential</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-credential-source-impl</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-credential-store</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-encryption</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-http</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-keystore</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-mechanism</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-mechanism-gssapi</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-password-impl</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-permission</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-provider-util</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-realm</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-sasl</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-sasl-anonymous</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-sasl-localuser</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-security-manager</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-security-manager-action</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-util</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-x500</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-x500-cert-acme</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.0.Final -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-x500-cert-util</artifactId>
                <version>2.6.7.Final-redhat-00001</version> <!-- Original version: 2.6.6.Final-redhat-00001 --> <!-- Original version: 2.6.5.Final-redhat-00001 --> <!-- Original version: 2.6.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.yaml</groupId>
                <artifactId>snakeyaml</artifactId>
                <version>2.3.0.redhat-00002</version> <!-- Original version: 2.3 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.common</groupId>
                <artifactId>wildfly-common</artifactId>
                <version>1.7.0.Final-redhat-00003</version> <!-- Original version: 1.7.0.Final -->
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>${version.maven-compiler-plugin}</version>
                    <configuration>
                        <source>17</source>
                        <target>17</target>
                        <testSource>17</testSource>
                        <testTarget>17</testTarget>
                    </configuration>
                </plugin>
                <!-- Checkstyle -->
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-checkstyle-plugin</artifactId>
                    <version>${version.checkstyle.plugin}</version>
                    <executions>
                        <execution>
                            <id>check-style</id>
                            <phase>compile</phase>
                            <goals>
                                <goal>checkstyle</goal>
                            </goals>
                        </execution>
                    </executions>
                    <dependencies>
                        <dependency>
                            <groupId>org.wildfly.checkstyle</groupId>
                            <artifactId>wildfly-checkstyle-config</artifactId>
                            <version>${version.org.wildfly.checkstyle-config}</version>
                        </dependency>
                    </dependencies>
                    <configuration>
                        <configLocation>wildfly-checkstyle/checkstyle.xml</configLocation>
                        <consoleOutput>true</consoleOutput>
                        <failsOnError>true</failsOnError>
                        <suppressionsLocation>checkstyle-suppressions.xml</suppressionsLocation>
                        <includeTestSourceDirectory>true</includeTestSourceDirectory>
                        <excludes>**/*$logger.java,**/*$bundle.java</excludes>
                        <useFile />
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <version>${version.maven-surefire-plugin}</version>
                    <configuration>
                        <systemPropertyVariables>
                            <maven.repo.path>${project.build.directory}/maven-cache</maven.repo.path>
                        </systemPropertyVariables>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>

        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-checkstyle-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
            </plugin>
        </plugins>
    </build>

    <repositories>
        <!-- keep this repository the first -->
        

        
        
    </repositories>
    <pluginRepositories>
        
        
        
    </pluginRepositories>
</project>
<!--
Modified by POM Manipulation Extension for Maven 5.0 ( SHA: c5e1964a )
-->
